## pcsxrearmed 0.4.0.14

=== Makefile ===
#CROSS_COMPILE=
AS  = $(CROSS_COMPILE)as
GCC = $(CROSS_COMPILE)gcc
CC  = $(CROSS_COMPILE)gcc
LD  = $(CROSS_COMPILE)ld
ifdef CC_OVERRIDE
CC = $(CC_OVERRIDE)
endif

ARM926 ?= 0
ARM_CORTEXA8 ?= 1
PLATFORM ?= pandora
USE_OSS ?= 1
#USE_ALSA = 1
#DRC_DBG = 1
#PCNT = 1
TARGET = pcsx

-include Makefile.local

ARCH = $(shell $(GCC) -v 2>&1 | grep -i 'target:' | awk '{print $$2}' | awk -F '-' '{print $$1}')

CFLAGS += -Wall -ggdb -Ifrontend -ffast-math
LDFLAGS += -lpthread -ldl -lpng -lz -lm
ifndef DEBUG
CFLAGS += -O2 -DNDEBUG
endif
CFLAGS += $(EXTRA_CFLAGS)

ifeq "$(ARCH)" "arm"
ifeq "$(ARM_CORTEXA8)" "1"
GCC_CFLAGS += -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=softfp
ASFLAGS += -mcpu=cortex-a8 -mfpu=neon
endif
ifeq "$(ARM926)" "1"
GCC_CFLAGS += -mcpu=arm926ej-s -mtune=arm926ej-s
ASFLAGS += -mcpu=arm926ej-s -mfloat-abi=softfp
endif
endif
CFLAGS += $(GCC_CFLAGS)

# detect armv7 and NEON from the specified CPU
HAVE_NEON = $(shell $(GCC) -E -dD $(GCC_CFLAGS) frontend/config.h | grep -q '__ARM_NEON__ 1' && echo 1)
HAVE_ARMV7 = $(shell $(GCC) -E -dD $(GCC_CFLAGS) frontend/config.h | grep -q '__ARM_ARCH_7A__ 1' && echo 1)

all: $(TARGET)

# core
OBJS += libpcsxcore/cdriso.o libpcsxcore/cdrom.o libpcsxcore/cheat.o libpcsxcore/debug.o \
	libpcsxcore/decode_xa.o libpcsxcore/disr3000a.o libpcsxcore/mdec.o \
	libpcsxcore/misc.o libpcsxcore/plugins.o libpcsxcore/ppf.o libpcsxcore/psxbios.o \
	libpcsxcore/psxcommon.o libpcsxcore/psxcounters.o libpcsxcore/psxdma.o libpcsxcore/psxhle.o \
	libpcsxcore/psxhw.o libpcsxcore/psxinterpreter.o libpcsxcore/psxmem.o libpcsxcore/r3000a.o \
	libpcsxcore/sio.o libpcsxcore/socket.o libpcsxcore/spu.o
OBJS += libpcsxcore/gte.o libpcsxcore/gte_nf.o libpcsxcore/gte_divider.o
ifeq "$(ARCH)" "arm"
OBJS += libpcsxcore/gte_arm.o
endif
ifeq "$(HAVE_NEON)" "1"
OBJS += libpcsxcore/gte_neon.o
endif
libpcsxcore/cdrom.o libpcsxcore/misc.o: CFLAGS += -Wno-pointer-sign
libpcsxcore/misc.o libpcsxcore/psxbios.o: CFLAGS += -Wno-nonnull

# dynarec
ifndef NO_NEW_DRC
OBJS += libpcsxcore/new_dynarec/new_dynarec.o libpcsxcore/new_dynarec/linkage_arm.o
OBJS += libpcsxcore/new_dynarec/pcsxmem.o
endif
OBJS += libpcsxcore/new_dynarec/emu_if.o
libpcsxcore/new_dynarec/new_dynarec.o: libpcsxcore/new_dynarec/assem_arm.c \
	libpcsxcore/new_dynarec/pcsxmem_inline.c
libpcsxcore/new_dynarec/new_dynarec.o: CFLAGS += -Wno-all -Wno-pointer-sign
ifdef DRC_DBG
libpcsxcore/new_dynarec/emu_if.o: CFLAGS += -D_FILE_OFFSET_BITS=64
CFLAGS += -DDRC_DBG
endif

# spu
OBJS += plugins/dfsound/dma.o plugins/dfsound/freeze.o \
	plugins/dfsound/registers.o plugins/dfsound/spu.o
plugins/dfsound/spu.o: plugins/dfsound/adsr.c plugins/dfsound/reverb.c \
	plugins/dfsound/xa.c
ifeq "$(ARCH)" "arm"
OBJS += plugins/dfsound/arm_utils.o
endif
ifeq "$(USE_OSS)" "1"
plugins/dfsound/%.o: CFLAGS += -DUSEOSS
OBJS += plugins/dfsound/oss.o
endif
ifeq "$(USE_ALSA)" "1"
plugins/dfsound/%.o: CFLAGS += -DUSEALSA
OBJS += plugins/dfsound/alsa.o
LDFLAGS += -lasound
endif

# gpu
OBJS += plugins/gpulib/gpu.o
ifeq "$(HAVE_NEON)" "1"
OBJS += plugins/gpulib/cspace_neon.o
OBJS += plugins/gpu_neon/psx_gpu_if.o plugins/gpu_neon/psx_gpu/psx_gpu_arm_neon.o
plugins/gpu_neon/psx_gpu_if.o: CFLAGS += -DNEON_BUILD -DTEXTURE_CACHE_4BPP -DTEXTURE_CACHE_8BPP
plugins/gpu_neon/psx_gpu_if.o: plugins/gpu_neon/psx_gpu/*.c
else
OBJS += plugins/gpulib/cspace.o
# note: code is not safe for strict-aliasing? (Castlevania problems)
plugins/dfxvideo/gpulib_if.o: CFLAGS += -fno-strict-aliasing
plugins/dfxvideo/gpulib_if.o: plugins/dfxvideo/prim.c plugins/dfxvideo/soft.c
OBJS += plugins/dfxvideo/gpulib_if.o
endif
ifdef X11
LDFLAGS += -lX11 `sdl-config --libs`
OBJS += plugins/gpulib/vout_sdl.o
plugins/gpulib/vout_sdl.o: CFLAGS += `sdl-config --cflags`
else
OBJS += plugins/gpulib/vout_fb.o
endif

# cdrcimg
OBJS += plugins/cdrcimg/cdrcimg.o

# dfinput
OBJS += plugins/dfinput/main.o plugins/dfinput/pad.o plugins/dfinput/guncon.o

# gui
OBJS += frontend/main.o frontend/plugin.o
OBJS += frontend/plugin_lib.o frontend/common/readpng.o
OBJS += frontend/common/fonts.o frontend/linux/plat.o
ifeq "$(USE_GTK)" "1"
OBJS += maemo/hildon.o maemo/main.o maemo/maemo_xkb.o
maemo/%.o: maemo/%.c
else
OBJS += frontend/menu.o frontend/linux/in_evdev.o
OBJS += frontend/common/input.o frontend/linux/xenv.o

ifeq "$(PLATFORM)" "pandora"
frontend/%.o: CFLAGS += -DVOUT_FBDEV
OBJS += frontend/linux/fbdev.o
OBJS += frontend/plat_omap.o
OBJS += frontend/plat_pandora.o
else
ifeq "$(PLATFORM)" "caanoo"
OBJS += frontend/plat_pollux.o frontend/in_tsbutton.o frontend/blit320.o
OBJS += frontend/gp2x/in_gp2x.o frontend/warm/warm.o
else
OBJS += frontend/plat_dummy.o
endif
endif

endif # !USE_GTK

ifdef X11
frontend/%.o: CFLAGS += -DX11
OBJS += frontend/xkb.o
endif
ifdef PCNT
CFLAGS += -DPCNT
endif
ifndef NO_TSLIB
frontend/%.o: CFLAGS += -DHAVE_TSLIB
OBJS += frontend/pl_gun_ts.o
endif
%.o: ASFLAGS += --defsym HAVE_ARMV7=$(HAVE_ARMV7)
frontend/%.o: CFLAGS += -DIN_EVDEV
frontend/menu.o: frontend/revision.h

libpcsxcore/gte_nf.o: libpcsxcore/gte.c
	$(CC) -c -o $@ $^ $(CFLAGS) -DFLAGLESS

frontend/revision.h: FORCE
	@(git describe || echo) | sed -e 's/.*/#define REV "\0"/' > $@_
	@diff -q $@_ $@ > /dev/null 2>&1 || cp $@_ $@
	@rm $@_
.PHONY: FORCE

%.o: %.S
	$(CC) $(CFLAGS) -c $^ -o $@

$(TARGET): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS) -Wl,-Map=$@.map

PLUGINS ?= plugins/spunull/spunull.so plugins/gpu-gles/gpu_gles.so \
	plugins/gpu_unai/gpu_unai.so plugins/gpu_peops/gpu_peops.so

$(PLUGINS):
	make -C plugins/gpulib/ clean
	make -C $(dir $@)

clean: $(PLAT_CLEAN)
	$(RM) $(TARGET) $(OBJS) $(TARGET).map

clean_plugins:
	make -C plugins/gpulib/ clean
	for dir in $(PLUGINS) ; do \
		$(MAKE) -C $$(dirname $$dir) clean; done

# ----------- release -----------

PND_MAKE ?= $(HOME)/dev/pnd/src/pandora-libraries/testdata/scripts/pnd_make.sh

VER ?= $(shell git describe master)

rel: pcsx $(PLUGINS) \
		frontend/pandora/pcsx.sh frontend/pandora/pcsx.pxml.templ frontend/pandora/pcsx.png \
		frontend/pandora/picorestore frontend/pandora/skin readme.txt COPYING
	rm -rf out
	mkdir -p out/plugins
	cp -r $^ out/
	sed -e 's/%PR%/$(VER)/g' out/pcsx.pxml.templ > out/pcsx.pxml
	rm out/pcsx.pxml.templ
	mv out/*.so out/plugins/
	mv out/plugins/gpu_unai.so out/plugins/gpuPCSX4ALL.so
	mv out/plugins/gpu_gles.so out/plugins/gpuGLES.so
	mv out/plugins/gpu_peops.so out/plugins/gpuPEOPS.so
	$(PND_MAKE) -p pcsx_rearmed_$(VER).pnd -d out -x out/pcsx.pxml -i frontend/pandora/pcsx.png -c

=== plugins/gpu-gles/Makefile ===
CC = $(CROSS_COMPILE)gcc

ARCH = $(shell $(CC) -v 2>&1 | grep -i 'target:' | awk '{print $$2}' | awk -F '-' '{print $$1}')

CFLAGS += -ggdb -fPIC -O2 # -Wall

SRC_STANDALONE += gpuDraw.c gpuFps.c gpuPlugin.c gpuPrim.c gpuTexture.c
SRC_GPULIB += gpulib_if.c

CFLAGS += -I$(PREFIX)include
LDLIBS += -L$(PREFIX)lib
ifeq "$(PLATFORM)" "caanoo"
#CFLAGS += -DFAKE_WINDOW
LDLIBS += -lopengles_lite -lstdc++
else
LDLIBS += -lGLES_CM
endif

CFLAGS += -DMAEMO_CHANGES  -DUSE_X11

BIN_STANDLALONE = gpuGLES.so
BIN_GPULIB = gpu_gles.so
include ../gpulib/gpulib.mak

=== plugins/gpu_neon/Makefile ===
CC = $(CROSS_COMPILE)gcc

ARCH = $(shell $(CC) -v 2>&1 | grep -i 'target:' | awk '{print $$2}' | awk -F '-' '{print $$1}')

HAVE_NEON = $(shell $(CC) -E -dD $(CFLAGS_) ../gpulib/gpu.h | grep -q '__ARM_NEON__ 1' && echo 1)

# FIXME: rework NEON detection to get rid of this
ifeq "$(ARCH)" "arm"
 ARM_CORTEXA8 ?= 1
 ifeq "$(ARM_CORTEXA8)" "1"
  CFLAGS_ += -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=softfp
 endif
endif

CFLAGS += -ggdb -Wall -fPIC -O2

SRC += psx_gpu_if.c

CFLAGS += -DTEXTURE_CACHE_4BPP -DTEXTURE_CACHE_8BPP
ifeq "$(HAVE_NEON)" "1"
SRC += psx_gpu/psx_gpu_arm_neon.S
CFLAGS += -DNEON_BUILD
else
CFLAGS += -fno-strict-aliasing
endif

BIN_GPULIB = gpu_neon.so
include ../gpulib/gpulib.mak

=== plugins/gpu_peops/Makefile ===
CC = $(CROSS_COMPILE)gcc
CXX = $(CROSS_COMPILE)g++
CC_ = $(CC)

ARCH = $(shell $(CC) -v 2>&1 | grep -i 'target:' | awk '{print $$2}' | awk -F '-' '{print $$1}')

CFLAGS += -DREARMED
CFLAGS += -ggdb -Wall -O3 -ffast-math
ifdef MAEMO
CFLAGS += -DMAEMO
endif

SRC += gpu.c
SRC += vout_fb.c
SRC += ../gpulib/cspace_neon.s

EXT = so
TARGETS = gpu_peops.$(EXT)

gpu_peops.$(EXT): SRC += peops_if.c
gpu_peops.$(EXT): CFLAGS += -fno-strict-aliasing

all: $(TARGETS)

$(TARGETS): $(SRC)
	$(CC_) -o $@ $(SRC) $(CFLAGS) $(LDFLAGS) -shared -Wl,-soname,$@

clean:
	$(RM) $(TARGETS)

=== plugins/gpu_unai/Makefile ===
CC = $(CROSS_COMPILE)g++

ARCH = $(shell $(CC) -v 2>&1 | grep -i 'target:' | awk '{print $$2}' | awk -F '-' '{print $$1}')

CFLAGS += -DREARMED
CFLAGS += -ggdb -Wall -O3 -ffast-math

SRC_STANDALONE += gpu.cpp
SRC_GPULIB += gpulib_if.cpp

ifeq "$(ARCH)" "arm"
SRC += gpu_arm.s
endif

BIN_STANDLALONE = gpuPCSX4ALL.so
BIN_GPULIB = gpu_unai.so
include ../gpulib/gpulib.mak

=== debian/changelog ===
pcsxrearmed (0.4.0.14) unstable; urgency=low

  * Updated to r14
  * Added --help
  * PCSX4All

 -- sakya <sakya_tg@yahoo.it>  Sun,  27 Dec 2011 00:02:27 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

#GAME_VERSION := $(shell head debian/changelog -n1 | sed -n 's/.* (\(.*\)) .*/\1/p')
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE) -f Makefile.maemo maemo
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean
	$(MAKE) -f Makefile.maemo clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	mkdir -p "$(CURDIR)"/debian/pcsxrearmed/opt/maemo/usr/games/screenshots
	chmod 777 "$(CURDIR)"/debian/pcsxrearmed/opt/maemo/usr/games/screenshots
	chown user "$(CURDIR)"/debian/pcsxrearmed/opt/maemo/usr/games/screenshots
	dh_install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	#dh_installmenu
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_makeshlibs
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## pcsxrearmed 0.4.0.14.1

=== debian/changelog ===
pcsxrearmed (0.4.0.14.1) unstable; urgency=low

  * Added option to set psx region (NTSC/PAL/Auto)
  * Use PulseAudio (better audio)
 -- sakya <sakya_tg@yahoo.it>  Wed,  30 Mar 2012 09:44:51 +0200

## pcsxrearmed 0.4.0.14.2

=== Makefile ===
--- 
+++ 
@@ -92,6 +92,10 @@
 plugins/dfsound/%.o: CFLAGS += -DUSEALSA
 OBJS += plugins/dfsound/alsa.o
 LDFLAGS += -lasound
+endif
+ifeq "$(USE_PULSE)" "1"
+plugins/dfsound/%.o: CFLAGS += -DUSEPULSEAUDIO
+OBJS += plugins/dfsound/pulseaudio.o
 endif
 
 # gpu

=== debian/changelog ===
pcsxrearmed (0.4.0.14.2) unstable; urgency=low

  * Fixed fullscreen using gpu-gles
  * Fixed crash when saving savestate using gpu-gles
  * Added options to set spu reverb and interpolation (disabled by default)

 -- sakya <sakya_tg@yahoo.it>  Sun,  01 Apr 2012 11:42:20 +0200

## pcsxrearmed 0.4.0.14.3

=== debian/changelog ===
pcsxrearmed (0.4.0.14.3) unstable; urgency=low

  * Added options to set various gles settings
  * Fixed save state slot selection
  * Added notification on save state slot change

 -- sakya <sakya_tg@yahoo.it>  Wed,  04 Apr 2012 10:20:18 +0200

=== debian/control ===
Source: pcsxrearmed
Section: user/games
Priority: extra
Maintainer: Bonapart <bonapart@programist.ru>
Build-Depends: debhelper (>= 5), zlib1g-dev, libhildon1-dev,  libpulse-dev, libasound2-dev, libbz2-dev, libgles1-sgx-img-dev,opengles-sgx-img-common-dev, libosso-dev, libdbus-1-dev
Standards-Version: 3.7.3

Package: pcsxrearmed
Architecture: armel
Depends: ${shlibs:Depends}
Description: Sony PlayStation emulator
XSBC-Homepage: http://notaz.gp2x.de/pcsx_rearmed.php
XSBC-Bugtracker: http://notaz.gp2x.de/pcsx_rearmed.php
XB-Maemo-Display-Name: PCSX-ReArmed
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAEStJREFUaN7Fmn+wXVV1xz9r733uufe+e9+DJIRESEICEQghAUQBI8Uo
 ik7jrxm1o+3ooB2RkWrtONqZlhn7Y8bRUVudqVZsoTjFH2CrSKsVEFIQIr8C
 JARC0CDkBwkkIcl7L7n3nLP36h97n3Pvo07/7c2cOfeenB9rr/Vd3/Vd6zxh
 7DM52b9isj+5YcGC+a9bunTpOVNTU91WK5Msy1ECIgYRMGKxzmGtQQBrHSZ9
 R8C5DOcc1hiMtTjrsM4hAtZYWq1W/H9nyZzDZVk6x9LKWmSteH2rlZNlLhw/
 fnzXszt3fmHjxo13bH74oReBwbbtO6r0ODht5UpnfXXdytOXX+mswVcl1hqc
 swjgQ0BV8T7gfSCEQFBQFFQJqqhquptpHCJiMGIQKxhjsdZircMai8kczibj
 XUaWZdi0d1lGlrVwmdN2nsvypUtZvmwpw7LY8dSTT37yX264/sGgOrNl67ZS
 AFavPudTF5y76u9fOniQZ3/7PLPHjuG9Z8wSJO7QeAABVIW0DFAFBEVANF0j
 AGh9XBWV9L3eRFAx6dr6XFDiMWMNy049VS9Yu4o/et+7xBj78u5duz78lS9/
 8U6UoZx59lnZ2StXbMP7lT+7cyNFUWCsbQwmyLhTo1EiydvpSFogIpiIMQST
 zhOMMSAmnmcMIhYxgogFYxBjEYnnYOIWn2OjA4IiRjhj+TL98uc/K5X3W7Zs
 2fKBf/72Pz5tZmdmz5jodJZtfeppyqqK+LQx3EYtpm0wRChYazBWMCYaasRg
 TFwAUu/TsgyIiecytkAxBjG1sTZuzfe4GIwDk4GxqMmQLAdx7PjNs/KNG75H
 3srWLFmy5E3P79rj7Omnr7is08o+8Otnn6MYFtGIErQCyZXsqxW6B3S3gQqw
 /I6PNgEZwSPmQAMVYxERVCSSQTI8et4iYtF6MckhcXECJuWSGPbvf1EvumCN
 nDA1taIoypuNr6pFg6JgMEjGe2Ch0vpmSXdnQeuqQPeeivZtBbI6oIWiKJqS
 WLU2vM6POh2SIZjEXpIMtglGdSTib9IxEsSoFy9mBFtjmTleyJ33bMIYOevQ
 oUMnuLIs5w+LkuCr+HAP+dcqWu8PFD8SZAEwA9kGxawuOXZeBjMGXJ0BNMk4
 gpIZYbr2ZvJ6hJBrftcLEGPTfVJ+EBcfUo6pgohQhMCBgwdB4fDhw5MG6JdV
 RQgKQZAO2IuVMIDB+xzhcWF4lWP4FUPYZJATf1dCp0ROxps69LXR1mGsTZtD
 TNrbWE/i9/jbmFEiRx6oCSCRRHJZURTMzMx0nUK7LD2KIgZ0CPoM2KWQf8tj
 TlPkZGX4GRdNdiTvzzW+Nrg2voaIqb1uHUYsYm2KRNxURnBSTfdB4k5r6q0x
 qogIIShFWVKWZWa8962y8g0eRGH4GYd/Usg/GsjerHQ2VnRuK7GvC6iXhjpH
 xo+MyPOcdruNsTZyughiXFxI42mHuAyswzgLNrGRNWANYg1gUCOoMQ2DYUZ5
 JgKqahxI5n0Y4cJBeMxw7LwM+6ZA62880o454C4rmb1U4AkLrXHjY6UNqpx6
 ymKm+n2qEBgUFUemZzk8PYsPinMxIsa6xDAR71rXjFj/CJo8WdNDXeQTY4iA
 tZHVnKo61VBfCW3FXqzoUCl/bnB/ECj+0uGurGj/bcBdESifcBGLKQIN5oFu
 p8OCBfPpdDp0u13yvI1X5fnd+9jx210cOjJDnmUY4yLOE9xACEmamHoRQZtF
 aar0oBgxOJfFBYgxTjXxeGVgnqdzd4nuh9mLshizFkieHDKcyzam5nNjICjt
 djS81+sxMTHB5OQkvV6P89euoZXn3Pfgo9y16RGKMiDWRu8bQVTQEEAiPQsh
 KoAwqjApDBgjZM5F54mIa5IwA31OKL5kMYthYkeJe2ege39Bfm3Ab4fqJy7i
 PVjEW/AGCel3sHTb0fh+v8/k5CQ+KEemZ+h0u8yfN48PvvddXPvpq5ma6qMK
 1goGk2qdIKYmZlMrLiBE+ISAAkaELMswxohx1mZSaxgBnFD8hePYBx3V92PW
 hEeFwecyjr+lA7stsgDMUkWWhLidGpBXBWRxQPvKZH+yWcA9v9rMN2+8mWd2
 Pk+/36fX6/G615zHtZ++GucsqpIkR6obgJFXVPfa+QliYgwuy7DW4sQYGdFg
 UsMC1fct1Q8c+ZdKqq9lhBds1D3WYt8zwP3JMNFc/RTBiPLcXdtZ9/LFdHtd
 +v0+/ck+Yi0vHXyZXq9Ht9ul3W5z2bqLeNsb13HrHffQytvUVdSIRPyPVfna
 +HpJxiSpL4LTEDAxHFFC12IssUz51y2oBNOSVPqF8MMu1X90QWykR7EY46iq
 ite89VImzp6Ixvf7tLIW1rbodDtMTEzQ6XTI85w8z7nowvP54U/vJs9Hyanq
 myKpKKIpAppEsWqCXhRlTlUxSbvXJTtSlYyS1tTcnKrt0CKFbSqqcZHnfeVY
 0DupMb7X65HlOVhD3mo33s/znCzLWLl8Ka08IxBtUA1NUBVFJeoukdg0ee+Z
 mZllMBwgCM45cSGEEPHX0OzcRqaWv4y+R/GVqmqSCJJ6iM5Ep2GeXq9H1soR
 sWSt1hzjsyxj3oknMJG3KGqmqTsmiaCvo1BWnmJYUJRDKu9HjZIqzhijseSb
 RlXW+zoqkSJMoyZreWDHKms8Bt1urzG+1+vhsgwjllaWkef5qB+2lsoHfEj8
 PoZ3QQjeU5QFRVFSlRUh+Oa8qIK1gVAwxozEWLpN3Tr6oIhRjIJY0yhHsbEB
 qQWaMRapPN1uh36/z8TEBN1ul8xliAHrsjnGG2PY88I+Zo4dZ6I3EVnHB4qy
 ZDgYUpYVGkJqbUO0SAEJqAYq72MEAG+SFtc6DwREU6+bIhCA4AMWgzhpEnek
 c2KE6iJWV+I4jbA4Z2vubqK96aHHokQuo5eHRYEGT0hDBG0wLU0VltRi+qqK
 CxARX+uKV+J/1HhHcRXVo+C9EvB4FWwAYwLz5p+IwZC1crrdLp1Oh3a7jRhD
 5QODwSAZBoPhkLvv/RXfuP4mPIbS+5iA49t4m9QcjwUt+EBRFrV0I4y8ImOV
 Q5qOKiZzrUINKlBVnrzlWLFsCWefdQbr113CLx94BCNCp9Oh0+nQarWoqujZ
 m370U3bs3MWik+Zx5OhRfnHPJnrdLsOyZPr4MarKY63BGtMYKnXhIsKmXogP
 nqIogajuGwjVTKQyd+yROnQCUJYVJ05NsWb1Kt74hks4c+XpnPKqxfT7fZ58
 5lmyVqsxPsuilsqtsPrMM7jktWs5/bRl9HtdrvnYh7HWMhgMefHAQR7c/Dg/
 u3Mjj27djnEWI6aJQNJ0zcd7T1EMI4RUtaqTamxWMoJOUoo+KKcsWsglF13I
 773hEk6av4B+vzcnYV8+fKQpUs45nHMcPTrNT757Heede04zwfhfcAXeuv5S
 Pvepj3PHXffw2c9/kWd378Vg0DAXRqrgK89gMCSEMJbEafxBrVoZNS55nnP5
 G9dx+frLmgJVU+TR6Vnu+O/7+Pdb/4vHt2zjfe/ZEKdsaTRTVSWLTl6Ic5ay
 qjg2e4ytTz3NDf96C4889jjHBkP+/E+v5sMfeC/tPOcdb38LU/0+7//jT3J0
 enpsXDDKCx88xTAtQKFsIKRjA6t6WqZw9qvP4PL1lzE5OcnExATtdocHHn6M
 +x/azP0PPkorb7P23HO4MG8nre6oqdmK4cCBg+zavYc77v4lP7/rHrZse4oz
 Vqxg7bnn8o4r1vPmy9Y1zATw4oGDBO/RkPJRx1pKjRAaDCMpOIGqSWIZTdqU
 URIfPjpNnrdHnncZe/e/xAknnMDVH/0Q6y+9hFVnvZp/+s73CaqM15V+v8s1
 n72W5/fsY3Z2lt9/y3o+9fErOX/NOSxfthTnRoOmF/bt58bv3sz1N93CzOzs
 qJGRxEAoSCB4z3A4yoFiVAdovB6naQYV4bnd+/jCV7/BuzdcwaVvuJjTly/i
 z675GO12m06n00gDl2WNWhyfXBw9Ms2nr7qSd2+4gkUnL6Tdzkd5oPCrBx/m
 m9d/h433PcjR6RmGRTXWTupcFKnifcWwzgERKWMEatYZCdjxAe2uF/bxtW/d
 yNe/fSNrV69i1dmvZvHCRbSyDLGW/fv38/O77uX1//CVOcl5+MhRbv/xTSw6
 eWGjX7z3TE9P88Nbf8oNN93MY1ufjHoqiUljYncW6sSlrgFRRnhfMSzqHFAt
 jJFGsMXRRuR+bSZjMULORSmxdfuveXzbMzFlxiYS5XDI3n37eenAQebPOzFC
 CeLMCXjpwEGe3P4Mt/zoNv7z9l/w/J59KYKt6NwxxlFlrIAx+h0ghEAxLOIC
 gmpRj/5C7XV5xfiiRkRiVWcdtOq5T2z9xBjaeYu/+uLf8YN/u5ULzlvNhisu
 ZzAcsOnBh9m9dy+3/+JeNm95giNHZ8haGZNT/cjxGtvGKB9CQkpACQRCwkBI
 8jouoCxLvPfqNIRBnQOicY6TXBvlrMaGew60dCT8JIUcBWMNBw4d5t5ND3Pf
 A4/wvVt+wuzsMbZt/zXT09MMyxJjLZ1Op1GUUmuexsPjsoH4m7lsFEKgrLXQ
 KInndIdzJs9xRhPHHLFKayrtBiQZks4REWxm0QAHXz4MCoNiCBiyzKVnNJiI
 9wmRYXTMeG2eERKca4qJLBRqNaqqRZ7nWOua1q2REPWKAs1UTALxfVkawMYb
 +9F8RxQNZvz9B6iMTbLjTUMIc7yu9Z4wFoUR89T72ODXL0oEZ4yUcQFWVcbZ
 TZtmRhtRFXm4rtIRXqnZVghGRzYzPmtPhKraDK8aVtG52J/LOjp6hUVI3lVE
 RK2NswsHlK34llCa7BeNuKd2uU0tTkA1hiJG1qNqmh6C1F01EJyzklFyJspJ
 JBNSDigStDlWGz96AZGco4qNr31qOS1F1spod9ujKXP9Uq5OgWa0B0ZHN2s8
 Qz3XTBBibpvYxLSBgI4aljpx0Yb3m1eHiaHGtZ8I5O0cUMqy9KaqyuPe+4OL
 Fy4kc07rmzH2kDjqCOnBPr4F0YCGufuAJwSPBo+G6hVbOlc9IV2j9bWEdN8k
 F9SPYEZgjH5oOdHFCxcwHBb7q6oqzNGj00cOHjz05No1q1lw4qSoD801UlfC
 Bn5a3yfOMTUWn7gF8CkR/4+NEFknfq/vXz9z9LwRtBI0gxK8Z+H8E2XtmtXs
 3bv38enp6VlzbHb25W3bnnhANQzeseFtKBWVL0bYk9jU61jySTP1Do2XGsrT
 MOa5sU1HXZXq+LFRtyK11yXMmciB4qsCoeRd73w7RVEc37x586YjR44ctsba
 7NChQ3m73T7ltRe+Zumac1ax9Yltenx6RsSmF26M6aRxlkpo1zQASEgevQTU
 MRgSKTJomHMMJb7pb/7RRDbWBk91/DiTUxN6zVUfkWVLlnDvvffed//99/8Y
 +I0VkWCtMc/s2DHw3i9at+71C996+Xrp9Sd01/O7ZHD8GASP+gpClfbxt097
 rY/7ilAlvPt4bHwLVUmo4n1COten65rzqmL0PXgmum3eueEK/ciH/lBOmJrU
 2267bevtt9/+XeBRYJ8Att3OT6oqf6b3/pJ58+a96ROf+MRFZ5115sTk5JTp
 93vSzttYF//OwaU/2siyLPatiSqNiXI8TjhoeoIRe0gjr4MGqjI6oKoqyqKk
 KAqGxRBf+TQIGFKWJbMzszozOxt27tw5e9111z1w4MCBO4H7gKeBlwWg3c5b
 3of5VVWtUNVzgfMvvvji80477bQFS5Ys6VprTd301IaNG2iMaWBR9wKNwa/Y
 69j8sqoqQhpeeR8Nr+V22sKePXuO7969+6WHHnroseT1x4GdwCGgbFzU7XSy
 wXDYDyGcDKwAlgOLgUmgzf/PZwgcAV4Ank2G7wemgRLgfwDIFWZCNtkwCgAA
 AABJRU5ErkJggg==

## pcsxrearmed 0.4.0.14.4

=== plugins/gpulib/Makefile ===
CC = $(CROSS_COMPILE)gcc
AS = $(CROSS_COMPILE)as
AR = $(CROSS_COMPILE)ar

ARCH = $(shell $(CC) -v 2>&1 | grep -i 'target:' | awk '{print $$2}' | awk -F '-' '{print $$1}')

CFLAGS += -ggdb -Wall
ifndef DEBUG
CFLAGS += -O2
endif

OBJS += gpu.o

ifeq "$(ARCH)" "arm"
ARM_CORTEXA8 ?= 1
ifeq "$(ARM_CORTEXA8)" "1"
CFLAGS += -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=softfp -fPIC
ASFLAGS += -mcpu=cortex-a8 -mfpu=neon
OBJS += cspace_neon.o
else
CFLAGS += -mcpu=arm926ej-s -mtune=arm926ej-s
ASFLAGS += -mcpu=arm926ej-s -mfloat-abi=softfp
OBJS += cspace.o
endif
OBJS += vout_fb.o
EXT = a
else
CFLAGS += `sdl-config --cflags` -m32
OBJS += vout_sdl.o
EXT = x86.a
endif

TARGET = gpulib.$(EXT)

all: $(TARGET)

$(TARGET): $(OBJS)
	$(AR) crs $@ $^

clean:
	$(RM) $(TARGET) $(OBJS)

=== debian/changelog ===
pcsxrearmed (0.4.0.14.4) unstable; urgency=low

  * Fixed -load option
  * Added disc change (configured a new key)

 -- sakya <sakya_tg@yahoo.it>  Wed,  04 Apr 2012 10:20:18 +0200

## pcsxrearmed 0.4.0.14.5

=== debian/changelog ===
pcsxrearmed (0.4.0.14.5) unstable; urgency=low

  * Fixed accelerometer using gles
  * Added -analog option to use the accelerometer as the analog pad
  * Added options to set accelerometer sens, max value, y_def
  * Added -displayon option to keep the display on (useful when playing using the accelerometer)

 -- sakya <sakya_tg@yahoo.it>  Tue,  10 Apr 2012 15:34:11 +0200

## pcsxrearmed 0.4.0.14.6

=== debian/changelog ===
pcsxrearmed (0.4.0.14.6) unstable; urgency=low

  * Added option -keys to set the keys config file
  * Fixed L1/L2/R1/R2
  * Added autopause on incoming call

 -- sakya <sakya_tg@yahoo.it>  Wed,  13 Apr 2012 12:51:35 +0200

## pcsxrearmed 0.4.0.14.7

=== debian/changelog ===
pcsxrearmed (0.4.0.14.7) unstable; urgency=low

  * Fixed -displayon

 -- sakya <sakya_tg@yahoo.it>  Sun,  15 Apr 2012 17:22:08 +0200

## pcsxrearmed 0.4.0.14.8

=== debian/changelog ===
pcsxrearmed (0.4.0.14.8) unstable; urgency=low

  * Added option -disc to set the initial disc in multi discs images (used when loading a sevestate with -load)
  * Added option -autosave
  * Fixed disc change for multi discs images (PBP)
  * Merged commits from Notaz git
    * drc: inv: fix ram ofset and mirror handling
    * support emulated RAM mapped at offset

 -- sakya <sakya_tg@yahoo.it>  Fri,  20 Apr 2012 20:27:19 +0200

## pcsxrearmed 0.4.0.14.9

=== debian/changelog ===
pcsxrearmed (0.4.0.14.9) unstable; urgency=low

   * Added support to .mdf extension
   * Added option -vibration to activate vibration

 -- sakya <sakya_tg@yahoo.it>  Tue,  1 May 2012 12:19:49 +0200

## pcsxrearmed 0.4.0.14.10

=== tools/Makefile ===
CFLAGS += -Wall -O2
LDFLAGS += -lz

all: psxcimg

clean:
	$(RM) psxcimg

=== debian/changelog ===
pcsxrearmed (0.4.0.14.10) unstable; urgency=low

   * Added option -corners to set action to execute when clicking on display corners
   * Fixed problem with notification using gles plugin
   * Fixed controller problem with game "Heart Of Darkness" (maybe others?)

 -- sakya <sakya_tg@yahoo.it>  Fri, 11 May 2012 16:38:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/games
 Priority: extra
 Maintainer: Bonapart <bonapart@programist.ru>
-Build-Depends: debhelper (>= 5), zlib1g-dev, libhildon1-dev,  libpulse-dev, libasound2-dev, libbz2-dev, libgles1-sgx-img-dev,opengles-sgx-img-common-dev, libosso-dev, libdbus-1-dev
+Build-Depends: debhelper (>= 5), zlib1g-dev, libhildon1-dev,  libpulse-dev, libasound2-dev, libbz2-dev, libgles1-sgx-img-dev,opengles-sgx-img-common-dev, libosso-dev, libdbus-1-dev, libhildonfm2-dev
 Standards-Version: 3.7.3
 
 Package: pcsxrearmed

## pcsxrearmed 0.4.0.14.11

=== plugins/gpu_peops/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 ARCH = $(shell $(CC) -v 2>&1 | grep -i 'target:' | awk '{print $$2}' | awk -F '-' '{print $$1}')
 
 CFLAGS += -DREARMED
-CFLAGS += -ggdb -Wall -O3 -ffast-math
+CFLAGS += -march=armv7-a -mfpu=neon -ggdb -Wall -O3 -ffast-math
 ifdef MAEMO
 CFLAGS += -DMAEMO
 endif

=== debian/changelog ===
pcsxrearmed (0.4.0.14.11) unstable; urgency=low

   * Added option -guncon and -gunnotrigger to activate guncon controller type

 -- sakya <sakya_tg@yahoo.it>  Wed,  16 May 2012 09:37:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/games
 Priority: extra
 Maintainer: Bonapart <bonapart@programist.ru>
-Build-Depends: debhelper (>= 5), zlib1g-dev, libhildon1-dev,  libpulse-dev, libasound2-dev, libbz2-dev, libgles1-sgx-img-dev,opengles-sgx-img-common-dev, libosso-dev, libdbus-1-dev, libhildonfm2-dev
+Build-Depends: debhelper (>= 5), zlib1g-dev, libhildon1-dev,  libpulse-dev, libasound2-dev, libbz2-dev, libgles1-sgx-img-dev,opengles-sgx-img-common-dev, libosso-dev, libdbus-1-dev, libhildonfm2-dev, libts-dev
 Standards-Version: 3.7.3
 
 Package: pcsxrearmed

## pcsxrearmed 0.4.0.14.12

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 ARM_CORTEXA8 ?= 1
 PLATFORM ?= pandora
 USE_OSS ?= 1
+RAM_FIXED ?= 1
 #USE_ALSA = 1
 #DRC_DBG = 1
 #PCNT = 1
@@ -74,6 +75,9 @@
 ifdef DRC_DBG
 libpcsxcore/new_dynarec/emu_if.o: CFLAGS += -D_FILE_OFFSET_BITS=64
 CFLAGS += -DDRC_DBG
+endif
+ifeq "$(RAM_FIXED)" "1"
+CFLAGS += -DRAM_FIXED
 endif
 
 # spu

=== plugins/gpu_peops/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 ARCH = $(shell $(CC) -v 2>&1 | grep -i 'target:' | awk '{print $$2}' | awk -F '-' '{print $$1}')
 
 CFLAGS += -DREARMED
-CFLAGS += -march=armv7-a -mfpu=neon -ggdb -Wall -O3 -ffast-math
+CFLAGS += -march=armv7-a -mtune=cortex-a8 -mfpu=neon -ggdb -Wall -O3 -ffast-math
 ifdef MAEMO
 CFLAGS += -DMAEMO
 endif

=== debian/changelog ===
pcsxrearmed (0.4.0.14.12) unstable; urgency=low

   * Fixed a problem with controller and vibration (Gran Turismo 2, Wipeout 3)
   * Added dependency to libts

 -- sakya <sakya_tg@yahoo.it>  Wed,  16 May 2012 17:09:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: user/games
 Priority: extra
 Maintainer: Bonapart <bonapart@programist.ru>
-Build-Depends: debhelper (>= 5), zlib1g-dev, libhildon1-dev,  libpulse-dev, libasound2-dev, libbz2-dev, libgles1-sgx-img-dev,opengles-sgx-img-common-dev, libosso-dev, libdbus-1-dev, libhildonfm2-dev, libts-dev
+Build-Depends: debhelper (>= 5), zlib1g-dev, libhildon1-dev,  libpulse-dev, libasound2-dev, libbz2-dev, libgles1-sgx-img-dev, opengles-sgx-img-common-dev, libosso-dev, libdbus-1-dev, libhildonfm2-dev, libts-dev
 Standards-Version: 3.7.3
 
 Package: pcsxrearmed
 Architecture: armel
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, libts-0.0-0
 Description: Sony PlayStation emulator
 XSBC-Homepage: http://notaz.gp2x.de/pcsx_rearmed.php
 XSBC-Bugtracker: http://notaz.gp2x.de/pcsx_rearmed.php

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 build-stamp:
 	dh_testdir
-	$(MAKE) -f Makefile.maemo maemo
+	$(MAKE) -f Makefile.maemo
 	touch build-stamp
 
 clean:
@@ -28,7 +28,7 @@
 	dh_testroot
 	rm -f build-stamp
 	dh_clean
-	$(MAKE) -f Makefile.maemo clean
+	$(MAKE) -f Makefile.maemo clean clean_plugins
 
 install: build
 	dh_testdir
